The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"не могу установить и привязать PHP к Апач"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы WEB технологии (Apache, http-серверы)
Изначальное сообщение [ Отслеживать ]

"не могу установить и привязать PHP к Апач"  +/
Сообщение от nops email(ok) on 29-Янв-10, 08:33 
Друзья!
Стоит FreeBDS 7.2
Фрю я не знаю как работает и что там да как. Работал до этого на CenOS 5.2
Вообщем суть проблемы:
ставлю апач - встал и заработал
ставлю mysql - встал и заработал
ставлю perl - Встал и заработал
Ставлю php - проблемы:
Первый раз встал, но не заработал. поюзал маны, погуглил, но так и не смог решить проблему. Решил снести его с чертям:

cd /usr/ports/lang/php5
make deinstall

Вроде как удалился.
Далее делаю:

make install clean

Пишет вот что:

===> Options unchanged
===>  Installing for php5-5.2.12
===>   php5-5.2.12 depends on executable: pkg-config - found
===>   php5-5.2.12 depends on shared library: xml2.5 - found
===>   Generating temporary packing list
===>  Checking if lang/php5 already installed
cd: can't cd to /usr/ports/lang/php5/work/php-5.2.12
*** Error code 2

Stop in /usr/ports/lang/php5.
*** Error code 1

Stop in /usr/ports/lang/php5.
gate#


Ну до этого появилось окошечко(если так можно назвать) ну вообщем настройка конфига, если ввести make config тоже самое появляется.
Вот и не знаю в чём баян.
Помогите плизззз
Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "не могу установить и привязать PHP к Апач"  +/
Сообщение от vivi on 29-Янв-10, 10:16 
cd: can't cd to /usr/ports/lang/php5/work/php-5.2.12

в этой папке есть что? до того как делаеш
cd /usr/ports/lang/php5
make deinstall

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

2. "не могу установить и привязать PHP к Апач"  +/
Сообщение от nops email(ok) on 29-Янв-10, 17:03 
>cd: can't cd to /usr/ports/lang/php5/work/php-5.2.12
>
>в этой папке есть что? до того как делаеш
>cd /usr/ports/lang/php5
>make deinstall

Этой папки вообще нет.
Пробовал скопировать туда исходники, не помогло, ошибку писало, только другую.
В MakeFile поменял версию 5.2.12 на 5.2.9(Эта папка была) и встало, но в апаче не работает.
Не могу никак прикрутить.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

6. "не могу установить и привязать PHP к Апач"  +/
Сообщение от nops email(ok) on 12-Мрт-10, 08:24 
Всем спасибо за подсказки. Проблема решилась правкой MakeFile ручками.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру